
_main:

;mma7361.c,20 :: 		void main() {                               //programma principale
;mma7361.c,22 :: 		TRISB = 0x00;                             //PORTB tutte uscite
	CLRF        TRISB+0 
;mma7361.c,23 :: 		TRISA = 0b11100000;                       //Primi tre I/0 TRISA ingressi
	MOVLW       224
	MOVWF       TRISA+0 
;mma7361.c,25 :: 		Lcd_Init();                               //Inizializza LCD
	CALL        _Lcd_Init+0, 0
;mma7361.c,26 :: 		Lcd_Cmd(_LCD_CLEAR);                      //Pulisci LCD
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;mma7361.c,27 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);                 //Cursore spento
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;mma7361.c,29 :: 		ADC_Init();                               //Inizializza ADC
	CALL        _ADC_Init+0, 0
;mma7361.c,31 :: 		Delay_ms(500);                            //Attesa di stabilizzazione
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       138
	MOVWF       R12, 0
	MOVLW       85
	MOVWF       R13, 0
L_main0:
	DECFSZ      R13, 1, 1
	BRA         L_main0
	DECFSZ      R12, 1, 1
	BRA         L_main0
	DECFSZ      R11, 1, 1
	BRA         L_main0
	NOP
	NOP
;mma7361.c,33 :: 		Xinit = ADC_Get_Sample(0);                //Leggi valore di riposo asse X
	CLRF        FARG_ADC_Get_Sample_channel+0 
	CALL        _ADC_Get_Sample+0, 0
	MOVF        R0, 0 
	MOVWF       _Xinit+0 
	MOVF        R1, 0 
	MOVWF       _Xinit+1 
;mma7361.c,34 :: 		Yinit = ADC_Get_Sample(1);                //Leggi valore di riposo asse Y
	MOVLW       1
	MOVWF       FARG_ADC_Get_Sample_channel+0 
	CALL        _ADC_Get_Sample+0, 0
	MOVF        R0, 0 
	MOVWF       _Yinit+0 
	MOVF        R1, 0 
	MOVWF       _Yinit+1 
;mma7361.c,35 :: 		Zinit = ADC_Get_Sample(2);                //Leggi valore di riposo asse Z
	MOVLW       2
	MOVWF       FARG_ADC_Get_Sample_channel+0 
	CALL        _ADC_Get_Sample+0, 0
	MOVF        R0, 0 
	MOVWF       _Zinit+0 
	MOVF        R1, 0 
	MOVWF       _Zinit+1 
;mma7361.c,37 :: 		Delay_ms(500);                            //Attesa di stabilizzazione
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       138
	MOVWF       R12, 0
	MOVLW       85
	MOVWF       R13, 0
L_main1:
	DECFSZ      R13, 1, 1
	BRA         L_main1
	DECFSZ      R12, 1, 1
	BRA         L_main1
	DECFSZ      R11, 1, 1
	BRA         L_main1
	NOP
	NOP
;mma7361.c,39 :: 		while(1){
L_main2:
;mma7361.c,40 :: 		Conv =  ADC_Get_Sample(0);              //Leggi valore di riposo asse X
	CLRF        FARG_ADC_Get_Sample_channel+0 
	CALL        _ADC_Get_Sample+0, 0
	MOVF        R0, 0 
	MOVWF       _Conv+0 
	MOVF        R1, 0 
	MOVWF       _Conv+1 
;mma7361.c,41 :: 		Xasse = (Conv-Xinit)*6;                 //Sottrai valore a riposo e x6
	MOVF        _Xinit+0, 0 
	SUBWF       R0, 1 
	MOVF        _Xinit+1, 0 
	SUBWFB      R1, 1 
	MOVLW       6
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVF        R0, 0 
	MOVWF       _Xasse+0 
	MOVF        R1, 0 
	MOVWF       _Xasse+1 
;mma7361.c,42 :: 		IntToStr(Xasse, TXT);                   //Trasforma in stringa
	MOVF        R0, 0 
	MOVWF       FARG_IntToStr_input+0 
	MOVF        R1, 0 
	MOVWF       FARG_IntToStr_input+1 
	MOVLW       _TXT+0
	MOVWF       FARG_IntToStr_output+0 
	MOVLW       hi_addr(_TXT+0)
	MOVWF       FARG_IntToStr_output+1 
	CALL        _IntToStr+0, 0
;mma7361.c,43 :: 		Lcd_Cmd(_LCD_CLEAR);                    //Pulisci LCD
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;mma7361.c,44 :: 		Lcd_Out(1, 2, " Acc asse X");           //Informa che  il dato lungo X
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       2
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr1_mma7361+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr1_mma7361+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;mma7361.c,45 :: 		Lcd_Out(2, 4, TXT);                     //mostra valore in millesimo di g
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       4
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _TXT+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_TXT+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;mma7361.c,46 :: 		Delay_ms(700);                          //Aspetta 0.7S per visualizzare
	MOVLW       4
	MOVWF       R11, 0
	MOVLW       142
	MOVWF       R12, 0
	MOVLW       18
	MOVWF       R13, 0
L_main4:
	DECFSZ      R13, 1, 1
	BRA         L_main4
	DECFSZ      R12, 1, 1
	BRA         L_main4
	DECFSZ      R11, 1, 1
	BRA         L_main4
	NOP
;mma7361.c,48 :: 		Conv =  ADC_Get_Sample(1);              //Leggi valore di riposo asse Y
	MOVLW       1
	MOVWF       FARG_ADC_Get_Sample_channel+0 
	CALL        _ADC_Get_Sample+0, 0
	MOVF        R0, 0 
	MOVWF       _Conv+0 
	MOVF        R1, 0 
	MOVWF       _Conv+1 
;mma7361.c,49 :: 		Xasse = (Conv-Yinit)*6;                 //Sottrai valore a riposo e x6
	MOVF        _Yinit+0, 0 
	SUBWF       R0, 1 
	MOVF        _Yinit+1, 0 
	SUBWFB      R1, 1 
	MOVLW       6
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVF        R0, 0 
	MOVWF       _Xasse+0 
	MOVF        R1, 0 
	MOVWF       _Xasse+1 
;mma7361.c,50 :: 		IntToStr(Yasse, TXT);                   //Trasforma in stringa
	MOVF        _Yasse+0, 0 
	MOVWF       FARG_IntToStr_input+0 
	MOVF        _Yasse+1, 0 
	MOVWF       FARG_IntToStr_input+1 
	MOVLW       _TXT+0
	MOVWF       FARG_IntToStr_output+0 
	MOVLW       hi_addr(_TXT+0)
	MOVWF       FARG_IntToStr_output+1 
	CALL        _IntToStr+0, 0
;mma7361.c,51 :: 		Lcd_Cmd(_LCD_CLEAR);                    //Pulisci LCD
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;mma7361.c,52 :: 		Lcd_Out(1, 2, " Acc asse Y");           //Informa che  il dato lungo Y
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       2
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr2_mma7361+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr2_mma7361+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;mma7361.c,53 :: 		Lcd_Out(2, 4, TXT);                     //mostra valore in millesimo di g
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       4
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _TXT+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_TXT+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;mma7361.c,54 :: 		Delay_ms(700);                          //Aspetta 0.7S per visualizzare
	MOVLW       4
	MOVWF       R11, 0
	MOVLW       142
	MOVWF       R12, 0
	MOVLW       18
	MOVWF       R13, 0
L_main5:
	DECFSZ      R13, 1, 1
	BRA         L_main5
	DECFSZ      R12, 1, 1
	BRA         L_main5
	DECFSZ      R11, 1, 1
	BRA         L_main5
	NOP
;mma7361.c,56 :: 		Conv =  ADC_Get_Sample(2);              //Leggi valore di riposo asse Z
	MOVLW       2
	MOVWF       FARG_ADC_Get_Sample_channel+0 
	CALL        _ADC_Get_Sample+0, 0
	MOVF        R0, 0 
	MOVWF       _Conv+0 
	MOVF        R1, 0 
	MOVWF       _Conv+1 
;mma7361.c,57 :: 		Xasse = (Conv-Zinit)*6;                 //Sottrai valore a riposo e x6
	MOVF        _Zinit+0, 0 
	SUBWF       R0, 1 
	MOVF        _Zinit+1, 0 
	SUBWFB      R1, 1 
	MOVLW       6
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVF        R0, 0 
	MOVWF       _Xasse+0 
	MOVF        R1, 0 
	MOVWF       _Xasse+1 
;mma7361.c,58 :: 		IntToStr(Zasse, TXT);                   //Trasforma in stringa
	MOVF        _Zasse+0, 0 
	MOVWF       FARG_IntToStr_input+0 
	MOVF        _Zasse+1, 0 
	MOVWF       FARG_IntToStr_input+1 
	MOVLW       _TXT+0
	MOVWF       FARG_IntToStr_output+0 
	MOVLW       hi_addr(_TXT+0)
	MOVWF       FARG_IntToStr_output+1 
	CALL        _IntToStr+0, 0
;mma7361.c,59 :: 		Lcd_Cmd(_LCD_CLEAR);                    //Pulisci LCD
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;mma7361.c,60 :: 		Lcd_Out(1, 2, " Acc asse Z");           //Informa che  il dato lungo Z
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       2
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr3_mma7361+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr3_mma7361+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;mma7361.c,61 :: 		Lcd_Out(2, 4, TXT);                     //mostra valore in millesimo di g
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       4
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _TXT+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_TXT+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;mma7361.c,62 :: 		Delay_ms(700);                          //Aspetta 0.7S per visualizzare
	MOVLW       4
	MOVWF       R11, 0
	MOVLW       142
	MOVWF       R12, 0
	MOVLW       18
	MOVWF       R13, 0
L_main6:
	DECFSZ      R13, 1, 1
	BRA         L_main6
	DECFSZ      R12, 1, 1
	BRA         L_main6
	DECFSZ      R11, 1, 1
	BRA         L_main6
	NOP
;mma7361.c,63 :: 		}
	GOTO        L_main2
;mma7361.c,64 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
