#line 1 "C:/Users/LF/Desktop/Elettronica/mma7361/code/mma7361.c"
sbit LCD_RS at RB0_bit;
sbit LCD_EN at RB1_bit;
sbit LCD_D4 at RB2_bit;
sbit LCD_D5 at RB3_bit;
sbit LCD_D6 at RB4_bit;
sbit LCD_D7 at RB5_bit;

sbit LCD_RS_Direction at TRISB0_bit;
sbit LCD_EN_Direction at TRISB1_bit;
sbit LCD_D4_Direction at TRISB2_bit;
sbit LCD_D5_Direction at TRISB3_bit;
sbit LCD_D6_Direction at TRISB4_bit;
sbit LCD_D7_Direction at TRISB5_bit;

unsigned int Xinit, Yinit, Zinit, Conv;
signed int Xasse, Yasse, Zasse, Visual;
char TXT[6];


void main() {

 TRISB = 0x00;
 TRISA = 0b11100000;

 Lcd_Init();
 Lcd_Cmd(_LCD_CLEAR);
 Lcd_Cmd(_LCD_CURSOR_OFF);

 ADC_Init();

 Delay_ms(500);

 Xinit = ADC_Get_Sample(0);
 Yinit = ADC_Get_Sample(1);
 Zinit = ADC_Get_Sample(2);

 Delay_ms(500);

 while(1){
 Conv = ADC_Get_Sample(0);
 Xasse = (Conv-Xinit)*6;
 IntToStr(Xasse, TXT);
 Lcd_Cmd(_LCD_CLEAR);
 Lcd_Out(1, 2, " Acc asse X");
 Lcd_Out(2, 4, TXT);
 Delay_ms(700);

 Conv = ADC_Get_Sample(1);
 Xasse = (Conv-Yinit)*6;
 IntToStr(Yasse, TXT);
 Lcd_Cmd(_LCD_CLEAR);
 Lcd_Out(1, 2, " Acc asse Y");
 Lcd_Out(2, 4, TXT);
 Delay_ms(700);

 Conv = ADC_Get_Sample(2);
 Xasse = (Conv-Zinit)*6;
 IntToStr(Zasse, TXT);
 Lcd_Cmd(_LCD_CLEAR);
 Lcd_Out(1, 2, " Acc asse Z");
 Lcd_Out(2, 4, TXT);
 Delay_ms(700);
 }
}
